質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.76%

  • PHP

    19226questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • Apache

    1714questions

    Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

  • Ubuntu

    1266questions

    Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

  • JAR

    87questions

    JAR(又はJava ARchive)はコンパイルされた複数のJavaバイトコード及び関連ファイルのリソースを一つのファイルに統合したものです。JARファイルはZIPファイルのフォーマットで構築されています。

Ubuntu16.04におけるPHP7.0で.jarを実行するときのパーミッションエラー

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 1
  • VIEW 337

yamatesoccer07

score 15

Ubuntuにapacheを入れて/var/www/html下においたindex.phpで/home下にある.jarファイルを実行したいのですが
sudoをつけないとパーミッションエラーになってしまうのですが、
phpファイル内でsudoをつけられないらしく、どうすればよいでしょうか。

//index.php
<?php
//sudoをつけることができない
exec('java -jar /home/hoge.jar');
?>
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

apche userにsudo権限を割り当ていることは危険なので、できるだけ jar ファイルの実行にroot権限が必要ないように、パーミッション設定などを見直されたほうがよいと思います。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/10 21:12 編集

    そうですね。どうしてもrootなのであればSUIDの方がいいですね。

    キャンセル

  • 2017/10/11 13:43

    なるほど そのjarファイルにrootのSUIDをつけたりすればよいってことですね

    キャンセル

0

apache userにsudoが出来るように設定してもダメですか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/10/09 21:47

    なるほど!!
    設定してみたのですが、一応実行できうようになりました!
    以下のように設定したのですがこれはセキュリティ的に大丈夫でしょうか
    apache ALL=(ALL) NOPASSWD: ALL

    キャンセル

  • 2017/10/09 21:56

    apache ユーザが乗っ取られたら何でもやられちゃうので、該当コマンドだけ許可するほうがいいと思います。

    キャンセル

  • 2017/10/09 21:57

    なるほど。ありがとうございます

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.76%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

  • 解決済

    ソフトウェアの更新でUbuntu16へのアップグレードが適用されない

    Ubuntu15.10を使用しています。 ソフトウェアの更新完了のたびに 「しかしながらUbuntu16.04LTSが使用可能です。」 と表示されます。 アップグレード

  • 解決済

    UbuntuでRubyのライブラリが導入できない

    前提・実現したいこと→Ubuntu14.04でRubyのライブラリを導入したい Ubuntu14.04で Capybara Anemone Poltergeist Nok

  • 解決済

    ファイルの名前を一括で変更したい

    前提・実現したいこと 分析に使用するファイルの名前を連番にしたい。 発生している問題・エラーメッセージ 現在のファイルの名前は 11aw_rtw_0df30441379ebdc

  • 解決済

    ubuntuでキャッシュサーバー構築

    日経linuxの本を読み sudoなどで、インストール、設定ファイル変更後、 $ sudo systemct1 restart squid というコマンドで、Squidを再起動し設

  • 解決済

    ubuntnu16.04へのアップグレードが途中で、終わる

    アップグレードが、途中のクリーンアップという箇所で、終わり、文字がずらーっと出てきていたシェルが消えてしまいました。このようなケースは、どのようにアップグレードを再開すれば、宜しい

  • 解決済

    UbuntuでのLAMP環境を整える際、PHPのインストール

    UbuntuでLAMP環境を整えているところなのですが、すこし問題が発生したため質問させていただきます。 ] 上記のスクリーンショットで、/var/www/htmlにファイ

  • 解決済

    ubuntu 構文エラーについて

    bash: 予期しないトークン `newline' 周辺に構文エラーがあります コード このコマンドを打つために、上記コマンドを入力するも、エラーです。 sudo yum

  • 解決済

    ubuntu16.04にmozcを入れたい

     前提・実現したいこと Jetson TX1にUbuntuを入れて、それを日本語環境に整えようとしています。 言語サポートは日本語にできたのですが、キーボードのテキスト入力に「mo

同じタグがついた質問を見る

  • PHP

    19226questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • Apache

    1714questions

    Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

  • Ubuntu

    1266questions

    Ubuntuは、Debian GNU/Linuxを基盤としたフリーのオペレーティングシステムです。

  • JAR

    87questions

    JAR(又はJava ARchive)はコンパイルされた複数のJavaバイトコード及び関連ファイルのリソースを一つのファイルに統合したものです。JARファイルはZIPファイルのフォーマットで構築されています。